Package org.alfresco.rest.requests
Class Node
Declares all Rest API under the /nodes path
-
Field Summary
Fields inherited from class org.alfresco.rest.requests.ModelRequest
restWrapper -
Constructor Summary
ConstructorsConstructorDescriptionNode(RestWrapper restWrapper) Node(org.alfresco.utility.model.RepoTestModel repoModel, RestWrapper restWrapper) -
Method Summary
Modifier and TypeMethodDescriptionaddComment(String commentContent) Publish one new comment on a specific node using POST call on "nodes/{nodeId}/comments"addComments(String... comments) Publish multiple comments on a specific node using POST call on "nodes/{nodeId}/comments"addInvalidRating(String jsonBody) POST call on "nodes/{nodeId}/ratings" using an invalid rating bodyaddSecondaryChild(String associationType, org.alfresco.utility.model.RepoTestModel secondaryChild) Creates a secondary child association using POST call to: 'nodes/{nodeId}/secondary-children'.addSecondaryChild(RestNodeChildAssociationModel secondaryChildAssociation) Creates a secondary child association using POST call to: 'nodes/{nodeId}/secondary-children'.addSecondaryChild(org.alfresco.utility.model.RepoTestModel secondaryChild) Creates a secondary child association using POST call to: 'nodes/{nodeId}/secondary-children'.addSecondaryChildren(String associationType, org.alfresco.utility.model.RepoTestModel... secondaryChildren) Creates a secondary children association using POST call to: 'nodes/{nodeId}/secondary-children'.addSecondaryChildren(RestNodeChildAssociationModel... secondaryChildrenAssociations) Creates a secondary children association using POST call to: 'nodes/{nodeId}/secondary-children'.addSecondaryChildren(org.alfresco.utility.model.RepoTestModel... secondaryChildren) Creates a secondary children association using POST call to: 'nodes/{nodeId}/secondary-children'.Adds a tag to the given content nodeAdds multiple tags to the given content nodecopy(RestNodeBodyMoveCopyModel copyBody) Copy a node to a target folderCopies the node nodeId to the parent folder node targetParentId using POST call "nodes/{nodeId}/copy"createDirectAccessURL(String postBody) Get Direct Access URL for a nodecreateDirectAccessURLforRendition(String renditionId) Get Direct Access URL for a specific node rendition E.g "pdf"createDirectAccessURLforVersion(String versionId) Get Direct Access URL for a specific node version.createDirectAccessURLforVersionAndRendition(String versionId, String renditionId) Get Direct Access URL for a specific node version rendition.Create new nodes using POST call on 'nodes/{nodeId}/children You need to specify first the multipart callRestWrapper#usingMultipartFile(java.io.File)usingMultipartFile(new File("your-local-file.txt")).withCoreAPI().usingNode(ContentModel.my()).createNode();createNode(RestNodeBodyModel node) Create new nodes using POST call on 'nodes/{nodeId}/childrenvoidcreateNodeRendition(String renditionId) Create node rendition using POST call on '/nodes/{nodeId}/renditions'voidcreateNodeRenditionIfNotExists(String renditionId) Check if specified rendition exists and if not create node rendition using POST call on '/nodes/{nodeId}/renditions'voidcreateNodeVersionRendition(String renditionId, String versionId) Create node version rendition using POST call on '/nodes/{nodeId}/versions/{versionId}/renditions'Create new target nodes using POST call on '/nodes/{nodeId}/targets'voiddeleteComment(RestCommentModel comment) Delete a comment for a specific node using DELETE call on nodes/{nodeId}/comments/{commentId}voidDelete fivestar rating using DELETE call on "nodes/{nodeId}/ratings/{ratingId}"voiddeleteInvalidRating(String rating) Try to delete invalid rating using DELETE call on "nodes/{nodeId}/ratings/{ratingId}"voidDelete like rating using DELETE call on "nodes/{nodeId}/ratings/{ratingId}"voiddeleteNode(String nodeId) Delete a specific node using DELETE call on nodes/{nodeId}voiddeleteNode(RestNodeModel nodeModel) Delete a specific node using DELETE call on nodes/{nodeId}voiddeleteNodeRendition(String renditionId) Delete the rendition identified by renditionId using DELETE call on "/nodes/{nodeId}/renditions/{renditionId}"voiddeleteNodeVersion(String versionId) Delete the version identified by versionId for nodeId using DELETE call 'nodes/{nodeId}versions/{versionId}voiddeleteTag(RestTagModel tag) Deletes a tag for a specific content node using DELETE call on nodes/{nodeId}/tags/{tagId}voiddeleteTarget(RestNodeAssocTargetModel target) Delete a target for a specific node using DELETE call on nodes/{nodeId}/targets/{targetId}Trigger rules on a folder performing POST call on "/nodes/{folderNodeId}/rule-executions"In order to retrieve folder size details using POST call on "nodes/{nodeId}/size-details"Get the default rule set from a folder.Get fivestar rating of a document using GET call on "nodes/{nodeId}/ratings/{ratingId}"Get like rating of a document using GET call on "nodes/{nodeId}/ratings/{ratingId}"Get linked categories performing GET cal on "/nodes/{nodeId}/category-links"Get the rule sets defined on a folder.getNode()Retrieve details for a specific node using GET call on "nodes/{nodeId}"Retrieve comments for a specific node using GET call on "nodes/{nodeId}/comments"Retrieve content for a specific node using GET call on "nodes/{nodeId}/content"getNodeContent(String nodeId) Retrieve content for a specific node using GET call on "nodes/{nodeId}/content"getNodeRendition(String renditionId) Get node rendition using GET call on '/nodes/{nodeId}/renditions/{renditionId}getNodeRenditionContent(String renditionId) Get node rendition content using GET call on 'nodes/{nodeId}/renditions/{renditionId}/contentgetNodeRenditionContentUntilIsCreated(String renditionId) Get node rendition content using GET call on 'nodes/{nodeId}/renditions/{renditionId}/content Please note that it retries to get the renditions response several times because on the alfresco server the rendition can take a while to be created.Get rendition information for available renditions for the node using GET call on 'nodes/{nodeId}/renditions'getNodeRenditionUntilIsCreated(String renditionId) Get node rendition using GET call on 'nodes/{nodeId}/renditions/{renditionId} Please note that it retries to get the renditions response several times because on the alfresco server the rendition can take a while to be created.Get sources for a specific node using GET call on GET /nodes/{nodeId}/sourcesGet node tags using GET call on 'nodes/{nodeId}/tags'Retrieve targets for a specific node using GET call on "nodes/{nodeId}/targetsgetNodeVersionRendition(String renditionId, String versionId) Get node version rendition using GET call on '/nodes/{nodeId}/versions/{versionId}renditions/{renditionId}getNodeVersionRenditionContent(String renditionId, String versionId) Get node version rendition content using GET call on 'nodes/{nodeId}/versions/{versionId}/renditions/{renditionId}/contentgetNodeVersionRenditionContentUntilIsCreated(String renditionId, String versionId) Get node version rendition content using GET call on 'nodes/{nodeId}/versions/{versionId}/renditions/{renditionId}/content Please note that it retries to get the renditions response several times because on the alfresco server the rendition can take a while to be created.getNodeVersionRenditionsInfo(String versionId) Get rendition information for available renditions for the node version using GET call on 'nodes/{nodeId}/versions/{versionId}/renditions'getNodeVersionRenditionUntilIsCreated(String renditionId, String versionId) Get node version rendition using GET call on 'nodes/{nodeId}/versions/{versionId}/renditions/{renditionId} Please note that it retries to get the renditions response several times because on the alfresco server the rendition can take a while to be created.Get a node's parents using GET call 'nodes/{nodeId}/parentsRetrieve node ratings using GET call on "nodes/{nodeId}/ratings"getRuleSet(String ruleSetId) Get the specified rule set from a folder.Get a node's secondary children using GET call 'nodes/{nodeId}/secondary-childrengetSizeDetails(String jobId) Getting Folder size details using GET call on "nodes/{nodeId}/size-details/{jobId}"getVersionContent(String versionId) Gets the content for versionId of node nodeId using GET call 'nodes/{nodeId}/versions/{versionId}/contentgetVersionInformation(String versionId) Gets the version information versionId for node nodeId using GET call 'nodes/{nodeId}/versions/{versionId}Like a document using POST call on "nodes/{nodeId}/ratings"linkToCategories(List<RestCategoryLinkBodyModel> categoryLinks) Link content to many categories performing POST call on "/nodes/{nodeId}/category-links"linkToCategory(RestCategoryLinkBodyModel categoryLink) Link content to category performing POST call on "/nodes/{nodeId}/category-links"Get a node's children using GET call 'nodes/{nodeId}/childrenGets the version history as an ordered list for the specified nodeId using GET call 'nodes/{nodeId}/versionslockNode(RestNodeLockBodyModel lockBody) Lock a specific node using POST call on "nodes/{nodeId}/lock"move(RestNodeBodyMoveCopyModel moveBody) Move a node to a target folderrateStarsToDocument(int stars) Add five star rate to a document using POST call on "nodes/{nodeId}/ratings"voidremoveSecondaryChild(String associationType, org.alfresco.utility.model.RepoTestModel secondaryChild) Removes secondary child association using DELETE call 'nodes/{nodeId}/secondary-children/{childId}'.voidremoveSecondaryChild(RestNodeAssociationModel secondaryChildAssociation) Removes secondary child association using DELETE call 'nodes/{nodeId}/secondary-children/{childId}'.voidremoveSecondaryChild(org.alfresco.utility.model.RepoTestModel secondaryChild) Removes secondary child association using DELETE call 'nodes/{nodeId}/secondary-children/{childId}'.revertVersion(String versionId, String postBody) Revert the version identified by versionId and nodeId to the node using POST call 'nodes/{nodeId}/versions/{versionId}/revertvoidunlinkFromCategory(String categoryId) Unlink content from a category performing a DELETE call on "nodes/{nodeId}/category-links/{categoryId}"voidunlinkRuleSet(String ruleSetId) Try to delete a ruleset link performing a DELETE call on "/nodes/{folderNodeId}/rule-set-links/{rulesetId}"Unlock a specific node using POST call on "nodes/{nodeId}/unlock"updateComment(RestCommentModel commentModel, String commentContent) Update a comment for a specific node using PUT call on nodes/{nodeId}/comments/{commentId}updateNode(String putBody) Update a specific node using PUT call on "nodes/{nodeId}"updateNodeContent(File nodeContent) Updates the content of the node with identifier nodeId using PUT call "/nodes/{nodeId}/content"updateRuleSet(RestRuleSetModel ruleSet) Update a rule set on this folder - for example to reorder the rules.usingRuleSet(String ruleSetId) usingRuleSetting(String ruleSettingKey) usingStorageInfo(String contentPropName) usingVersionStorageInfo(String contentPropName, String versionId) Methods inherited from class org.alfresco.rest.requests.ModelRequest
include, includePath, usingParams
-
Constructor Details
-
Node
-
Node
-
-
Method Details
-
getNode
Retrieve details for a specific node using GET call on "nodes/{nodeId}"- Parameters:
nodeId-- Returns:
- Throws:
JsonToModelConversionException
-
getNodeComments
Retrieve comments for a specific node using GET call on "nodes/{nodeId}/comments"- Parameters:
nodeId-- Returns:
- Throws:
JsonToModelConversionException
-
addComment
Publish one new comment on a specific node using POST call on "nodes/{nodeId}/comments"- Parameters:
node-commentContent-- Returns:
-
addComments
Publish multiple comments on a specific node using POST call on "nodes/{nodeId}/comments"- Parameters:
contentModel-comments-- Returns:
-
updateComment
Update a comment for a specific node using PUT call on nodes/{nodeId}/comments/{commentId}- Parameters:
nodeId-commentId-commentContent-- Returns:
- Throws:
JsonToModelConversionException
-
deleteComment
Delete a comment for a specific node using DELETE call on nodes/{nodeId}/comments/{commentId}- Parameters:
nodeId-commentId-- Throws:
JsonToModelConversionException
-
likeDocument
Like a document using POST call on "nodes/{nodeId}/ratings"- Returns:
-
dislikeDocument
-
addInvalidRating
POST call on "nodes/{nodeId}/ratings" using an invalid rating body- Returns:
-
rateStarsToDocument
Add five star rate to a document using POST call on "nodes/{nodeId}/ratings"- Parameters:
stars-- Returns:
-
getRatings
Retrieve node ratings using GET call on "nodes/{nodeId}/ratings"- Returns:
-
deleteLikeRating
public void deleteLikeRating()Delete like rating using DELETE call on "nodes/{nodeId}/ratings/{ratingId}" -
deleteInvalidRating
Try to delete invalid rating using DELETE call on "nodes/{nodeId}/ratings/{ratingId}" -
getLikeRating
Get like rating of a document using GET call on "nodes/{nodeId}/ratings/{ratingId}" -
deleteFiveStarRating
public void deleteFiveStarRating()Delete fivestar rating using DELETE call on "nodes/{nodeId}/ratings/{ratingId}" -
getFiveStarRating
Get fivestar rating of a document using GET call on "nodes/{nodeId}/ratings/{ratingId}"- Returns:
-
addTag
Adds a tag to the given content node- Parameters:
contentModel-tag-- Returns:
-
addTags
Adds multiple tags to the given content node- Parameters:
contentModel-tags-- Returns:
-
deleteTag
Deletes a tag for a specific content node using DELETE call on nodes/{nodeId}/tags/{tagId}- Parameters:
content-tag-- Throws:
JsonToModelConversionException
-
getNodeTags
Get node tags using GET call on 'nodes/{nodeId}/tags'- Parameters:
tag-- Returns:
-
createNode
Create new nodes using POST call on 'nodes/{nodeId}/children- Parameters:
node-- Returns:
-
createNode
Create new nodes using POST call on 'nodes/{nodeId}/children You need to specify first the multipart callRestWrapper#usingMultipartFile(java.io.File)usingMultipartFile(new File("your-local-file.txt")).withCoreAPI().usingNode(ContentModel.my()).createNode();- Returns:
-
getNodeContent
Retrieve content for a specific node using GET call on "nodes/{nodeId}/content"- Returns:
-
getNodeContent
Retrieve content for a specific node using GET call on "nodes/{nodeId}/content"- Parameters:
nodeId-- Returns:
-
createNodeRendition
Create node rendition using POST call on '/nodes/{nodeId}/renditions'- Parameters:
renditionId- id of rendition to be created
-
createNodeVersionRendition
Create node version rendition using POST call on '/nodes/{nodeId}/versions/{versionId}/renditions'- Parameters:
renditionId- id of rendition to be createdversionId- version id of node
-
createNodeRenditionIfNotExists
Check if specified rendition exists and if not create node rendition using POST call on '/nodes/{nodeId}/renditions'- Parameters:
renditionId- id of rendition to be created
-
getNodeRendition
Get node rendition using GET call on '/nodes/{nodeId}/renditions/{renditionId}- Parameters:
renditionId- id of rendition to be retrieved- Returns:
-
getNodeVersionRendition
Get node version rendition using GET call on '/nodes/{nodeId}/versions/{versionId}renditions/{renditionId}- Parameters:
renditionId- id of rendition to be retrievedversionId- versionId of the node- Returns:
-
getNodeRenditionUntilIsCreated
Get node rendition using GET call on 'nodes/{nodeId}/renditions/{renditionId} Please note that it retries to get the renditions response several times because on the alfresco server the rendition can take a while to be created.- Returns:
-
getNodeVersionRenditionUntilIsCreated
public RestRenditionInfoModel getNodeVersionRenditionUntilIsCreated(String renditionId, String versionId) Get node version rendition using GET call on 'nodes/{nodeId}/versions/{versionId}/renditions/{renditionId} Please note that it retries to get the renditions response several times because on the alfresco server the rendition can take a while to be created.- Returns:
-
getNodeRenditionContentUntilIsCreated
Get node rendition content using GET call on 'nodes/{nodeId}/renditions/{renditionId}/content Please note that it retries to get the renditions response several times because on the alfresco server the rendition can take a while to be created.- Returns:
-
getNodeVersionRenditionContentUntilIsCreated
public RestResponse getNodeVersionRenditionContentUntilIsCreated(String renditionId, String versionId) Get node version rendition content using GET call on 'nodes/{nodeId}/versions/{versionId}/renditions/{renditionId}/content Please note that it retries to get the renditions response several times because on the alfresco server the rendition can take a while to be created.- Returns:
-
getNodeRenditionContent
Get node rendition content using GET call on 'nodes/{nodeId}/renditions/{renditionId}/content- Returns:
-
getNodeVersionRenditionContent
Get node version rendition content using GET call on 'nodes/{nodeId}/versions/{versionId}/renditions/{renditionId}/content- Returns:
-
getNodeRenditionsInfo
Get rendition information for available renditions for the node using GET call on 'nodes/{nodeId}/renditions'- Returns:
-
getNodeVersionRenditionsInfo
Get rendition information for available renditions for the node version using GET call on 'nodes/{nodeId}/versions/{versionId}/renditions'- Returns:
-
deleteNodeRendition
Delete the rendition identified by renditionId using DELETE call on "/nodes/{nodeId}/renditions/{renditionId}"- Parameters:
renditionId- id of rendition to delete
-
listChildren
Get a node's children using GET call 'nodes/{nodeId}/children- Returns:
- a collection of nodes
-
move
Move a node to a target folder- Parameters:
moveBody- aRestNodeBodyMoveCopyModelcontaining at least the target parent id- Returns:
- the moved node's new information
-
copy
Copy a node to a target folder- Parameters:
copyBody- aRestNodeBodyMoveCopyModelcontaining at least the target parent id- Returns:
- the moved node's new information
-
lockNode
Lock a specific node using POST call on "nodes/{nodeId}/lock"- Returns:
-
unlockNode
Unlock a specific node using POST call on "nodes/{nodeId}/unlock"- Returns:
-
defineNodes
- Returns:
NodesBuilder- help you define new nodes using rest API calls
-
updateNode
Update a specific node using PUT call on "nodes/{nodeId}"- Parameters:
putBody-- Returns:
-
getNodeTargets
Retrieve targets for a specific node using GET call on "nodes/{nodeId}/targets- Returns:
-
createTargetForNode
Create new target nodes using POST call on '/nodes/{nodeId}/targets'- Parameters:
target-- Returns:
-
deleteTarget
Delete a target for a specific node using DELETE call on nodes/{nodeId}/targets/{targetId}- Parameters:
target-
-
getNodeSources
Get sources for a specific node using GET call on GET /nodes/{nodeId}/sources- Returns:
-
updateNodeContent
Updates the content of the node with identifier nodeId using PUT call "/nodes/{nodeId}/content"- Parameters:
nodeContent-- Returns:
-
copyNode
Copies the node nodeId to the parent folder node targetParentId using POST call "nodes/{nodeId}/copy"- Parameters:
postBody-- Returns:
-
getParents
Get a node's parents using GET call 'nodes/{nodeId}/parents- Returns:
- a collection of nodes
-
getSecondaryChildren
Get a node's secondary children using GET call 'nodes/{nodeId}/secondary-children- Returns:
- a collection of nodes
-
addSecondaryChild
public RestNodeChildAssociationModel addSecondaryChild(org.alfresco.utility.model.RepoTestModel secondaryChild) Creates a secondary child association using POST call to: 'nodes/{nodeId}/secondary-children'.- Parameters:
secondaryChild- - node, which should become a secondary child- Returns:
- a node's parent-child association
-
addSecondaryChild
public RestNodeChildAssociationModel addSecondaryChild(String associationType, org.alfresco.utility.model.RepoTestModel secondaryChild) Creates a secondary child association using POST call to: 'nodes/{nodeId}/secondary-children'.- Parameters:
associationType- - type of secondary parent-child relationship associationsecondaryChild- - node, which should become a secondary child- Returns:
- a node's parent-child association
-
addSecondaryChild
public RestNodeChildAssociationModel addSecondaryChild(RestNodeChildAssociationModel secondaryChildAssociation) Creates a secondary child association using POST call to: 'nodes/{nodeId}/secondary-children'.- Parameters:
secondaryChildAssociation- - node's secondary parent-child association model- Returns:
- a node's parent-child association
-
addSecondaryChildren
public RestNodeChildAssocModelCollection addSecondaryChildren(org.alfresco.utility.model.RepoTestModel... secondaryChildren) Creates a secondary children association using POST call to: 'nodes/{nodeId}/secondary-children'.- Parameters:
secondaryChildren- - nodes, which should become secondary children- Returns:
- a collection of node's parent-child associations
-
addSecondaryChildren
public RestNodeChildAssocModelCollection addSecondaryChildren(String associationType, org.alfresco.utility.model.RepoTestModel... secondaryChildren) Creates a secondary children association using POST call to: 'nodes/{nodeId}/secondary-children'.- Parameters:
associationType- - type of secondary parent-child relationship associationsecondaryChildren- - nodes, which should become secondary children- Returns:
- a collection of node's parent-child associations
-
addSecondaryChildren
public RestNodeChildAssocModelCollection addSecondaryChildren(RestNodeChildAssociationModel... secondaryChildrenAssociations) Creates a secondary children association using POST call to: 'nodes/{nodeId}/secondary-children'.- Parameters:
secondaryChildrenAssociations- - node's secondary parent-child association models- Returns:
- a collection of node's parent-child associations
-
removeSecondaryChild
public void removeSecondaryChild(org.alfresco.utility.model.RepoTestModel secondaryChild) Removes secondary child association using DELETE call 'nodes/{nodeId}/secondary-children/{childId}'.- Parameters:
secondaryChild- - node, which should NOT be a secondary child anymore
-
removeSecondaryChild
public void removeSecondaryChild(String associationType, org.alfresco.utility.model.RepoTestModel secondaryChild) Removes secondary child association using DELETE call 'nodes/{nodeId}/secondary-children/{childId}'.- Parameters:
associationType- - type of secondary parent-child relationship associationsecondaryChild- - node, which should NOT be a secondary child anymore
-
removeSecondaryChild
Removes secondary child association using DELETE call 'nodes/{nodeId}/secondary-children/{childId}'.- Parameters:
secondaryChildAssociation- - node's secondary parent-child association to remove
-
listVersionHistory
Gets the version history as an ordered list for the specified nodeId using GET call 'nodes/{nodeId}/versions- Returns:
-
deleteNodeVersion
Delete the version identified by versionId for nodeId using DELETE call 'nodes/{nodeId}versions/{versionId}- Parameters:
versionId-
-
getVersionInformation
Gets the version information versionId for node nodeId using GET call 'nodes/{nodeId}/versions/{versionId}- Parameters:
versionId-- Returns:
-
getVersionContent
Gets the content for versionId of node nodeId using GET call 'nodes/{nodeId}/versions/{versionId}/content- Parameters:
versionId-- Returns:
-
revertVersion
Revert the version identified by versionId and nodeId to the node using POST call 'nodes/{nodeId}/versions/{versionId}/revert- Parameters:
versionId-postBody-- Returns:
-
deleteNode
Delete a specific node using DELETE call on nodes/{nodeId}- Parameters:
nodeModel-
-
deleteNode
Delete a specific node using DELETE call on nodes/{nodeId}- Parameters:
nodeId-
-
getActionDefinitions
-
createDirectAccessURL
Get Direct Access URL for a node- Parameters:
postBody-- Returns:
-
createDirectAccessURLforRendition
Get Direct Access URL for a specific node rendition E.g "pdf"- Parameters:
renditionId-- Returns:
-
createDirectAccessURLforVersion
Get Direct Access URL for a specific node version. E.g "1.1"- Parameters:
versionId-- Returns:
-
createDirectAccessURLforVersionAndRendition
public RestResponse createDirectAccessURLforVersionAndRendition(String versionId, String renditionId) Get Direct Access URL for a specific node version rendition. E.g ("1.1", "pdf")- Parameters:
versionId-renditionId-- Returns:
-
usingStorageInfo
-
usingVersionStorageInfo
-
usingDefaultRuleSet
-
usingRuleSet
-
getListOfRuleSets
Get the rule sets defined on a folder.- Returns:
- The list of rule sets.
-
getRuleSet
Get the specified rule set from a folder.- Parameters:
ruleSetId- The id of the rule set.- Returns:
- The specified rule set.
-
updateRuleSet
Update a rule set on this folder - for example to reorder the rules.- Parameters:
ruleSet- The updated rule set.- Returns:
- The updated rule set returned by the server.
-
getDefaultRuleSet
Get the default rule set from a folder.- Returns:
- The specified rule set.
-
usingRuleSetting
-
usingIsInheritanceEnabledRuleSetting
-
createRuleLink
-
unlinkRuleSet
Try to delete a ruleset link performing a DELETE call on "/nodes/{folderNodeId}/rule-set-links/{rulesetId}"- Parameters:
ruleSetId- the id of the ruleset to be unlinked from the folder
-
executeRules
Trigger rules on a folder performing POST call on "/nodes/{folderNodeId}/rule-executions"- Parameters:
body- - rules execution request- Returns:
- execution result
-
getLinkedCategories
Get linked categories performing GET cal on "/nodes/{nodeId}/category-links"- Returns:
- categories which are linked from content
-
linkToCategory
Link content to category performing POST call on "/nodes/{nodeId}/category-links"- Parameters:
categoryLink- - contains category ID- Returns:
- linked to category
-
linkToCategories
Link content to many categories performing POST call on "/nodes/{nodeId}/category-links"- Parameters:
categoryLinks- - contains categories IDs- Returns:
- linked to categories
-
unlinkFromCategory
Unlink content from a category performing a DELETE call on "nodes/{nodeId}/category-links/{categoryId}"- Parameters:
categoryId- the id of the category to be unlinked from content
-
executeSizeDetails
In order to retrieve folder size details using POST call on "nodes/{nodeId}/size-details"- Returns:
-
getSizeDetails
Getting Folder size details using GET call on "nodes/{nodeId}/size-details/{jobId}"- Returns:
-